<?php

/* ######################################################################

  IML DEPLOYMENT

  webgui - accept a phase to rollout it to the next phase

  ---------------------------------------------------------------------
  2023-12-19  Axel <axel.hahn@unibe.ch>
  2024-09-03  Axel <axel.hahn@unibe.ch>  php8 only; added variable types; short array syntax
  2024-12-05  Axel <axel.hahn@unibe.ch>  add bootstrap-select
  ###################################################################### */

$oHtml = new htmlguielements();

$BODY =
    $renderAdminLTE->addRow(
        $renderAdminLTE->addCol(
            $renderAdminLTE->getCard([
                'type' => 'dark',
                'variant' => 'outline',
                'text' => '<h3>IML CI server</h3>'
                    . $oHtml->getTable([
                        'body' => [
                            [t('page-about-version'), getVersioninfo()],
                            [t('page-about-author'), 'Institute for Medical Education * University of Bern'],
                            [t('page-about-license'), 'GNU GPL 3.0'],
                            [t('page-about-source'), '<a href="https://git-repo.iml.unibe.ch/iml-open-source/imldeployment/">https://git-repo.iml.unibe.ch/iml-open-source/imldeployment/</a>'],
                            [t('page-about-php'), phpversion()],
                        ]
                    ]),
            ]),
            8
        )
        . $renderAdminLTE->addCol(
            $renderAdminLTE->getCard([
                'type' => 'dark',
                'variant' => 'outline',
                'text' => '<h3>Components</h3>'
                    . $oHtml->getTable([
                        'body' => [
                            ['AdminLTE', '<a href="https://adminlte.io/">https://adminlte.io/</a>'],
                            ['Bootstrap-select 1.13.18', '<a href="https://developer.snapappointments.com/bootstrap-select/">https://developer.snapappointments.com/bootstrap-select/</a>'],
                            ['jquery 3.6.1', '<a href="https://jquery.com/">https://jquery.com/</a>'],
                            ['font-awesome 6.4.0', '<a href="https://fontawesome.com/">https://fontawesome.com/</a>'],
                            ['visjs 4.21.0', '<a href="https://visjs.org">https://visjs.org</a>'],
                            ['winbox 0.2.82', '<a href="https://nextapps-de.github.io/winbox/">https://nextapps-de.github.io/winbox/</a>'],
                        ]
                    ]),
            ]),
            4
        )
    );

