<?php

/**
 * 
 * Build plugin - TGZ
 * 
 * @author <axel.hahn@iml.unibe.ch>
 * 
 * 2024-09-02  Axel   php8 only; added variable types; short array syntax
 */
class build_zip extends build_base
{

    /**
     * check requirements if the plugin could work
     * @return array
     */
    public function checkRequirements(): array
    {
        return [
            'which zip'
        ];
    }

    /**
     * get an array with shell commands to execute
     * used zip params:
     *   -9   compress better
     *   -q   quiet operation
     *   -r   recurse into directories
     * @return array
     */
    public function getBuildCommands(): array
    {
        return [
            'cd "' . $this->getBuildDir() . '" && zip -9qr "' . $this->getOutfile() . '" .'
        ];
    }


}
